JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
ImageConvolutionKernel Member List

This is the complete list of members for ImageConvolutionKernel, including all inherited members.

applyToImage(Image &destImage, const Image &sourceImage, const Rectangle< int > &destinationArea) const | ImageConvolutionKernel |
clear() | ImageConvolutionKernel |
createGaussianBlur(float blurRadius) | ImageConvolutionKernel |
getKernelSize() const | ImageConvolutionKernel |
getKernelValue(int x, int y) const noexcept | ImageConvolutionKernel |
ImageConvolutionKernel(int size) | ImageConvolutionKernel |
rescaleAllValues(float multiplier) | ImageConvolutionKernel |
setKernelValue(int x, int y, float value) noexcept | ImageConvolutionKernel |
setOverallSum(float desiredTotalSum) | ImageConvolutionKernel |
~ImageConvolutionKernel() | ImageConvolutionKernel |